<?php 

	require "config.php";
	
	session_start();
	
	$videoid = $_GET['videoid'];
	
	// Videó lekérdezése
	$lekerdezes = "SELECT * FROM videos WHERE id=$videoid";
	$talalt_video = $conn->query($lekerdezes);
	$video = $talalt_video->fetch_assoc();
	
	if($video['userid'] != $_SESSION['id']){
		
		header("Location: index.php");
		
	}
	
	if(isset($_POST['cancel-btn'])){
		
		header("Location: videos.php");
		
	}
	
	if(isset($_POST['del-btn'])){
		
		// Indexkép törlése
		if($video['tn_name'] != ""){
			
			$mappa = getcwd();
			
			$eleresi_ut = $mappa."\\users\\".$_SESSION['username']."\\".$video['tn_name'];
			
			// Fájl törlése
			unlink($eleresi_ut);
			
		}
		
		// Videó törlése
		$mappa = getcwd();
			
		$eleresi_ut = $mappa."\\users\\".$_SESSION['username']."\\".$video['file_name'];
		
		unlink($eleresi_ut);
		
		// Videó törlése az adatbázisból
		$conn->query("DELETE FROM videos WHERE id=$videoid");
		
		// Videóra érkezett kommentek törlése az adatbázisból
		$conn->query("DELETE FROM comments WHERE videoid=$videoid");	
		
		header("Location: videos.php");
		
	}

?>
<!DOCTYPE html>
<html lang="hu">

	<head>
		
		<!-- TITLE -->
		<title>Videóid</title>
		
		<!-- CSS -->
		<link rel="stylesheet" href="css/style.css">
		
	</head>
	<body>
	
		<!-- NAV -->
		<?php require "nav.php"; ?>
		
		<!-- CONTENT -->
		<form class="reglog" method="post">
			<label class="form-header">Biztos törölni szeretnéd a következő videót:</label>
			<label class="form-header"><?= $video['name']; ?></label>
			<input type="submit" name="del-btn" value="Videó törlése">
			<input type="submit" name="cancel-btn" value="Mégse" style="margin-bottom: 0px; color: black; background: #dedede;">
		</form>
		
	</body>
	
	<?php require "footer.php"; ?>
	
</html>